Subject: [mpls] [Technical Errata Reported] RFC6426 (4012)

From: RFC Errata System <[email-masked]>
Date: Tue, 10 Jun 2014 10:21:50 -0700 (PDT)

The following errata report has been submitted for RFC6426,
"MPLS On-Demand Connectivity Verification and Route Tracing".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6426&eid=4012

--------------------------------------
Type: Technical
Reported by: Gregory Mirsky <[email-masked]>

Section: 7

Original Text
-------------

Corrected Text
--------------
7.6 New Global Flags Bit

RFC 6425 defines a registry for Global Flags under Multi-Protocol Label
Switching (MPLS) Label Switched Path (LSP)  Ping Parameters.

This document defines a new Global Flag, “Validate Reverse Path (R)”
that needs to be added to that registry, as follows:

   Bit number  |  Name                      | Reference
   ------------+----------------------------+--------------
      13       |  Validate Reverse Path     | [RFC 6426]

Notes
-----
"Global Flags" registry was created per request of RFC 6425, not RFC 4379 and did not yet existed when RFC 6426 was published. This "race condition" has to be fixed to avoid possible name-space collision between RFC 6426 and new extensions to LSP ping.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6426 (draft-ietf-mpls-tp-on-demand-cv-07)
--------------------------------------
Title               : MPLS On-Demand Connectivity Verification and Route Tracing
Publication Date    : November 2011
Author(s)           : E. Gray, N. Bahadur, S. Boutros, R. Aggarwal
Category            : PROPOSED STANDARD
Source              : Multiprotocol Label Switching
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: Eric Gray <[email-masked]>
Date: Tue, 10 Jun 2014 17:51:17 +0000

As a co-author of RFC 6426, I agree that this is an issue that should be fixed, in order to 
avoid a name-space collision.  Already there is a draft that attempts to use the same 
bit for a separate and distinct purpose.

--
Eric

-----Original Message-----
From: RFC Errata System [mailto:[email-masked]] 
Sent: Tuesday, June 10, 2014 1:22 PM
To: Eric Gray; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: Gregory Mirsky; [email-masked]; [email-masked]
Subject: [Technical Errata Reported] RFC6426 (4012)
Importance: High

The following errata report has been submitted for RFC6426, "MPLS On-Demand Connectivity Verification and Route Tracing".

Section: 7

Original Text
-------------

Corrected Text
--------------
7.6 New Global Flags Bit

RFC 6425 defines a registry for Global Flags under Multi-Protocol Label Switching (MPLS) Label Switched Path (LSP)  Ping Parameters.

This document defines a new Global Flag, "Validate Reverse Path (R)"
that needs to be added to that registry, as follows:

Notes
-----

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please use "Reply All" to discuss whether it should be verified or rejected. When a decision is reached, the verifying party (IESG) can log in to change the status and edit the report, if necessary.